Linux Ubuntu 9.04 ongelma

Olen asentanut tuon Ubuntun koneelle, asennuksen jälkeen tarjosi päivityksiä samalla taisi päivittää kernelin ja toden näköisesti tuo grub ei ole päivittänyt varmaan itseään oikein kun löytyy seuraavanlaisia kohtia:
Kernel 2.6.28-15-generic
15-(recovery mode)
14-generic
14-(recovery mode)
11-generic
11-(recovery mode)

Miten saisin nuo vanhat versiot pois?

Ja toinen asia ilmeni tässä juuri vähän aika sitten, kun käynnistän koneen ja valitsen vaikka tuon uudemmalla kernelillä olevan version, niin ensin lataa normaalisti käyttistä, mutta hetken päästä kuva menee ihan sekaisin, en pääse edes siihen kirjautumiskohtaan asti.
Voisiko joku neuvoa vähän vasta-alkajaa?

Samassa koneessa löytyy Windows Xp ja se käynnistyy normaalisti, ei mene kuva sekaisin

Onpas vika. Itsekkin olen noviisi, enkä asiasta hirveästi tiedä, muuta jotain voisin ehdottaa:
Oletko kokeillut recovery mode:a ja sieltä ajaa kohtaa, jossa lukee repair broken packages? Tuo nimittäin auttaa jos kernelin asennus on epäonnistunut. Kokemusta on.
Nuo vanhat kernelit saa poistettua (kunhan uudemmat saat toimimaan!), kun kirjoittaa päätteeseen:
sudo apt-get remove linux-image-2.6.28-14-generic (siis ytimen versio, jonka haluaa poistaa)
Myös synapticin kautta onnistuu.
Toivottavasti noista olisi edes vähän apua

ei auta tuo recovery mode:sta tuo repair broken packages
näyttöön tulee kyllä tuo ubuntun latauspalkki mutta hetken päästä näyttö menee sekaisin, kuva on ihan sekaisin ei mene eteenpäin millään

Pääsekös tuonne päätteeseen millään muulla tavalla, ettei tarvitsisi kirjautua ensin?
toivottavasti joku ymmärtää mitä ajan takaa

[quote=“BigBoss007, post:1, topic:783”]Kernel 2.6.28-15-generic
15-(recovery mode)
14-generic
14-(recovery mode)
11-generic
11-(recovery mode)
Miten saisin nuo vanhat versiot pois?[/quote]

Synaptic, aptitude, apt-get poistavat tarpeettomia ohjelmia eli ovat paketinhallinnan työkaluja.
Kerneleiden kohdalla ne editoivat myös grub:in valikkoa, joka on /boot/grub/menu.lst.
Älä poista toimivaa vanhaa kerneliä, jos uusin ei toimi, ennenkuin ongelma uuden kernelin kohdalta
saadaan ratkaistuksi.
Kerro, mistä näytönohjaimesta on kyse, sekä se, mitä näytönohjainajuria käytät.

Näyttis on Ati Radeon 9600 ja tuota ajuria en nyt muista

Olisiko sitten kyse tuosta surullisenkuuluisasta Ati:n ajureista? Radeoneista ei ole kokemusta, mutta olen kuullut, etteivät Linuxissa ole parhaimmillaan. Mutta jos vanhat kernelit toimivat, niin silloinhan vika ei ole näytönohjaimessa, vai mitä sanoo joku minua viisaampi?

Vähäisen Ubuntu kokemukseni mukaan kernelpäivitys lisää GRUBiin uusimman kernelin oletukseksi eli käyttöjärjestelmä käynnistyy siitä automaattisesti, jos jotain muuta kernelversiota ei käsin valitse. Päivityksen yhteydessä vanhat kernelit eivät poistu GRUBsta. Toisaalta ne eivät haittaakaan siellä, joten poistamisella ei ole kiire ja kuten edellä jo todettiin, kannattaa ainakin yksi vanha versio jättää “varmuuden vuoksi” poistamatta.

Vanhojen kerneleiden poistoon olen käyttänyt GRUBEditoria (GRUB muokkaaja), joka löytyy Gnome pöydältä kohdasta sovellukset>järjestelmätyökalut.

Toisella, vuonna 2004 ostetulla HP:n pakettikoneella on ATI Radeon 9200 näytönohjain, jota ei ole millään lailla käsitelty tehtaalta lähdön jälkeen. Tällä “opettelukoneella” on tällä hetkellä asennettuna Windows XP, openSUSE ja Ubuntu 9.04. Siinä ovat viivähtäneet myös Mandriva ja Fedora. Kaikkien em. käyttöjärjestelmien kanssa ATIn näytönohjain toimii normaalisti seuraavin poikkeuksin: openSUSEn asennuksen alkuvaiheessa täytyy muistaa valita VESA-ajurit. Varsinaisessa käytössä ei ole poikkeavaa. Ubuntun kohdalla tulee käynnistyksen yhteydessä näytölle OUT OF RANGE ilmoitus, joka viivästyttää käynnistystä n. 25 sekunttia. Tämän vaiheen ohituksen jälkeen järjestelmä käynnistyy ja toimii normaalisti.

Toki uuteen koneeseen valitsin Nvidian näytönohjaimen, joka toimii todella hyvin.

Arvaukseni on, että ketjun aloittajan ongelma on enemmänkin jotenkin vikaan mennessä kernelpäivityksessä kuin näytönohjaimessa.